Subject: bug#11867: 24.1.50; Windows bootstrap crash (converting tit files?)

From: Eli Zaretskii <[email-masked]>
Date: Tue, 10 Jul 2012 20:35:18 +0300

> From: Juanma Barranquero <[email-masked]>
> Date: Tue, 10 Jul 2012 18:36:48 +0200
> Cc: [email-masked], [email-masked]
> 
>   <Data>emacs.exe</Data>
>   <Data>24.1.50.0</Data>
>   <Data>4ffa51bc</Data>
>   <Data>emacs.exe</Data>
>   <Data>24.1.50.0</Data>
>   <Data>4ffa51bc</Data>
>   <Data>c0000005</Data>
>   <Data>002dcb87</Data>

c0000005 is "invalid Access", the equivalent of SIGSEGV.  One of the
other 2 hex numbers should be the address where it crashed, but they
both look either too large or too small...

> > Or just run
> > Emacs under GDB to begin with
> 
> If you can give the comand line to run the bootstrapping Emacs under
> GDB, I can test it.

Copy the command run by Make, then start the debugger like this:

  gdb --args ../src/oo/i386/emacs.exe EMACS-ARGS

where EMACS-ARGS are the command-line arguments passed to Emacs by
Make during the normal bootstrap, sans the Emacs executable file name.

However, before you try that, I'd suggest to let Emacs run as usual,
and attach the debugger to it when it already runs with the correct
command line.  To this end, pause Emacs with Ctrl-S some short time
before it crashes (I assume you know when that's going to happen by
the output that gets written to the screen), then attach the debugger:

  cd src && gdb -p EMACS-PID

Then let Emacs run:

  (gdb) continue

and press Ctrl-Q to cancel the pause.  Then wait until it crashes.